Subject: Re: bug#9810: cw in viper mode clobbers clipboard

From: Bob Nnamtrop <[email-masked]>
Date: Thu, 20 Oct 2011 16:38:23 -0600

On Thu, Oct 20, 2011 at 4:12 PM, Bob Nnamtrop <[email-masked]> wrote:
> On Thu, Oct 20, 2011 at 3:31 PM, Stefan Monnier
> <[email-masked]> wrote:
>>> I like the behavior of select-active-regions when it is set to t.
>>
>> [ FWIW, I don't. ;-)  ]
>
> I figured I would set select-active-regions to nil since I never
> changed in in earlier versions, but there is an difference to the old
> behavior. In 23.3 (and before):
>
> -when one used the mouse to select a region the primary selection was set
>
> -when one set the mark and used movement commands to make an active
> region, the primary selection was not set
>
> In 24.0., if select-active-regions is t, both of these actions set the
> primary selection. But if select-active-regions is nil, neither of
> these actions set the primary selection.
>
> Do you know how I would get the behavior back what it was in 23.3?

OK. I see now that setting select-active-regions to 'only' makes it
work the way I'm used to, and 'cw' even works correctly.

Thanks all,
Bob